<div class="nnr-wrap">

	<?php require_once('header.php'); ?>

	<div class="nnr-container">

		<?php

		// Display any messaages

		if (isset($_GET['message']) && $_GET['message'] != '') {

			$status = isset($_GET['status']) ? $_GET['status'] : 'warning';

			?>
			<div class="alert alert-<?php echo $status; ?> alert-dismissible" role="alert">
				<button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<?php echo $_GET['message']; ?>
			</div>
			<?php

		}?>

		<h1 id="nnr-heading"><?php _e("Ad Dashboard", self::$text_domain); ?>

			<small>
				<a class="btn btn-info nnr-heading-button-left" href="<?php echo get_admin_url(); ?>admin.php?page=<?php echo self::$add_new_page; ?>"><?php _e("Add New", self::$text_domain); ?></a>
			</small>
		</h1>

		<?php if (!isset($cnt_fg["inactive"])) {
			$cnt_fg["inactive"] = 0;
		}

		if (!isset($cnt_fg["active"])) {
			$cnt_fg["active"] = 0;
		} ?>

		<div>

			<a class="<?php echo (!isset($_GET["active_fg"]) ? 'nnr-current-tab' : 'nnr-tab');?> " href="<?php echo $tmp_url; ?>"><?php _e("All", self::$text_domain); ?> (<?php echo (isset($cnt_fg["inactive"]) && isset($cnt_fg["active"]) ? (int) $cnt_fg["inactive"] + (int) $cnt_fg["active"] : '0'); ?>)</a> |

			<a class="<?php echo ((isset($_GET["active_fg"]) && $_GET["active_fg"] == 2) ? 'nnr-current-tab' : 'nnr-tab');?>" href="<?php echo $tmp_url; ?>&active_fg=2"><?php _e("Active", self::$text_domain); ?> (<?php echo isset($cnt_fg["active"]) ? $cnt_fg["active"] : '0'; ?>)</a> |

			<a class="<?php echo ((isset($_GET["active_fg"]) && $_GET["active_fg"] == 1) ? 'nnr-current-tab' : 'nnr-tab');?>" href="<?php echo $tmp_url; ?>&active_fg=1"><?php _e("Inactive", self::$text_domain); ?> (<?php echo isset($cnt_fg["inactive"]) ? $cnt_fg["inactive"] : '0'; ?>)</a>

		</div>

		<form method="GET">
			<input type="hidden" name="page" value="<?php echo self::$dashboard_page; ?>" />
			<?php
			include_once(WPSITE_WALLPAPER_TAKEOVER_PLUGIN_DIR . "/include/classes/Ads_Table_WPTO.php");
			$adsTable = new Ads_Table_WPTO();


			if (!isset($cond))
				$cond = array();

			if (isset($_GET["active_fg"]) && $_GET["active_fg"] != '')
				$cond['active_fg'] = $_GET["active_fg"];

			if (isset($cond))
				$tmp = $adsMgn->get_datas_for_list($cond);
			else
				$tmp = $adsMgn->get_datas_for_list();

			$adsTable->set_data($tmp);

			$adsTable->get_table_classes('table');

			$adsTable->prepare_items();
			?>
		</form>

		<form method="POST">
			<?php $adsTable->display(); ?>
		</form>

		<br/>
		<br/>

		<!-- Advanced Settings -->

		<div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">

			<div class="panel panel-warning">
				<div class="panel-heading" role="tab" id="headingOne">
					<h4 class="panel-title text-center">
						<a data-toggle="collapse" data-parent="#accordion" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne"><?php _e('Advanced Settings', self::$text_domain); ?></a>
					</h4>
				</div>

				<div id="collapseOne" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingOne">
					<div class="panel-body">
						<form method="post" class="form-horizontal" role="form">

							<!-- Main DOM Element -->

							<div class="form-group">
								<label class="col-sm-3" for="wpsite-background-takeover-dom-element"><?php _e('Main DOM Element for clickable area', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<p>
										<?php _e('Only change this setting if your clickable zones are not working, and you understand basic HTML and you know how to find the right DOM element that spans the entire width of the webpage.', self::$text_domain); ?>
									</p>

									<p><?php _e('If your clickable zones are not working please make sure this field is set to the correct DOM element.  For example, all default WordPress themes use the', self::$text_domain); ?> <strong><em><?php _e('body', self:: $text_domain); ?></em></strong> <?php _e('element as the element that spans the width of the entire webpage.  In this case we would enter in ', self::$text_domain); ?> <strong><em><?php _e('body', self:: $text_domain); ?></em></strong> <?php _e(' for the DOM element.  If your theme however has a different DOM element that spans the full of the webpage like, ', self::$text_domain); ?> <strong><em><?php _e('#page-container', self:: $text_domain); ?></em></strong> <?php _e(', then you should have ', self::$text_domain); ?> <strong><em><?php _e('#page-container', self:: $text_domain); ?></em></strong> <?php _e(' entered in as the DOM element.', self::$text_domain); ?></p>

									<input type="text" class="form-control" id="wpsite-background-takeover-dom-element" name="wpsite-background-takeover-dom-element" value="<?php echo isset($global_settings['dom_element']) ? $global_settings['dom_element'] : 'body'; ?>"/>
									<em class="help-block"><?php _e('Default: body'); ?></em>
								</div>
							</div>

							<!-- Run plugin scripts on mobile/tablet devices -->

							<div class="form-group">
								<label class="col-sm-3" for="wpsite-background-takeover-mobile"><?php _e('Run plugin scripts on mobile/tablet devices', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input type="checkbox" id="wpsite-background-takeover-mobile" name="wpsite-background-takeover-mobile" <?php echo isset($global_settings['mobile']) && $global_settings['mobile'] ? 'checked="checked"' : ''; ?>/>
									<em class="help-block"><?php _e('Enabling this option allows the plugin scripts to run on mobile / tablet devices. This is rarely ever necessary so do not enable unless absolutely certain it\'s required. Background Ads would typically not be visible on most themes when viewed on mobile or tablet devices.'); ?></em>
								</div>
							</div>

							<input type="submit" name="global-submit" id="global-submit" class="btn btn-primary" value="Save"/>

							<?php wp_nonce_field('wpsite_background_takeover_global_settings'); ?>

						</form>
					</div>
				</div>
			</div>
		</div>

		<!-- Modal Popup for the delete confirmation -->

		<div class="modal fade" id="myModal" tabindex="-1" role="dialog">
			<div class="modal-dialog">
				<div class="modal-content" style="margin-top: 25%;">
					<div class="modal-header">
						<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
						<h4 class="modal-title"><?php _e('Delete Ad', self:: $text_domain); ?></h4>
					</div>
					<div class="modal-body">
						<p></p>
					</div>
					<div class="modal-footer">
						<button type="button" class="btn btn-default" data-dismiss="modal"><?php _e('Cancel', self:: $text_domain); ?></button>
						<button id="modal-success" type="button" class="btn btn-danger"><?php _e('Delete', self:: $text_domain); ?></button>
					</div>
				</div><!-- /.modal-content -->
			</div><!-- /.modal-dialog -->
		</div><!-- /.modal -->

	</div>

	<?php require_once('footer.php'); ?>

</div>